Home | All Classes | Grouped Classes | Index | Search

# CL_GlyphBuffer::remove

Removes an element or elements from the glyphs vector, reorganizes the font and effect maps to compensate.

    	CL_GlyphBuffer& remove(
    		int index);

    	CL_GlyphBuffer& remove(
    		Range range);

Parameters:

index
  The index in the glyphs vector to remove (all elements beyond this are slid back)
range
  The subsection of the glyphs vector to erase

Return value:

A reference to this object, allowing you to chain multiple calls of remove() together.

See also:

CL_GlyphBuffer

Questions or comments, write to the ClanLib mailing list.